import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SohoComponentsModule } from 'ids-enterprise-ng';

import * as fromComponents from './components';
import * as fromDirectives from './directives';
import * as fromPipes from './pipes';

const API = [
  ...fromComponents.components,
  ...fromDirectives.directives,
  ...fromPipes.pipes,
];

@NgModule({
  imports: [CommonModule, SohoComponentsModule],
  declarations: API,
  exports: API,
})
export class M3TabsModule {}
